Blame fedora-repos.spec

dc30ab5
%global rawhide_release 35
a4b16e3
%global updates_testing_enabled 1
ed37c7b
645bb5b
Summary:        Fedora package repositories
645bb5b
Name:           fedora-repos
5f02f47
Version:        34
227a364
Release:        0.14%{?eln:.eln%{eln}}
645bb5b
License:        MIT
270c89b
URL:            https://fedoraproject.org/
270c89b
3610222
Provides:       fedora-repos(%{version}) = %{release}
645bb5b
Requires:       system-release(%{version})
007b8f2
Obsoletes:      fedora-repos < 33-0.7
827881b
%if %{rawhide_release} == %{version}
Mohan Boddu be22d0c
Requires:       fedora-repos-rawhide = %{version}-%{release}
827881b
%endif
7fe1864
Requires:       fedora-gpg-keys >= %{version}-%{release}
645bb5b
BuildArch:      noarch
645bb5b
270c89b
Source1:        archmap
270c89b
Source2:        fedora.repo
270c89b
Source3:        fedora-updates.repo
270c89b
Source4:        fedora-updates-testing.repo
270c89b
Source5:        fedora-rawhide.repo
270c89b
Source6:        fedora-cisco-openh264.repo
51f622a
Source7:        fedora-updates-archive.repo
4ef16d7
Source8:        fedora-eln.repo
4ef16d7
270c89b
270c89b
Source10:       RPM-GPG-KEY-fedora-7-primary
270c89b
Source11:       RPM-GPG-KEY-fedora-8-primary
270c89b
Source12:       RPM-GPG-KEY-fedora-8-primary-original
270c89b
Source13:       RPM-GPG-KEY-fedora-9-primary
270c89b
Source14:       RPM-GPG-KEY-fedora-9-primary-original
270c89b
Source15:       RPM-GPG-KEY-fedora-9-secondary
270c89b
Source16:       RPM-GPG-KEY-fedora-10-primary
270c89b
Source17:       RPM-GPG-KEY-fedora-11-primary
270c89b
Source18:       RPM-GPG-KEY-fedora-12-primary
270c89b
Source19:       RPM-GPG-KEY-fedora-13-primary
270c89b
Source20:       RPM-GPG-KEY-fedora-13-secondary
270c89b
Source21:       RPM-GPG-KEY-fedora-14-primary
270c89b
Source22:       RPM-GPG-KEY-fedora-14-secondary
270c89b
Source23:       RPM-GPG-KEY-fedora-15-primary
270c89b
Source24:       RPM-GPG-KEY-fedora-15-secondary
270c89b
Source25:       RPM-GPG-KEY-fedora-16-primary
270c89b
Source26:       RPM-GPG-KEY-fedora-16-secondary
270c89b
Source27:       RPM-GPG-KEY-fedora-17-primary
270c89b
Source28:       RPM-GPG-KEY-fedora-17-secondary
270c89b
Source29:       RPM-GPG-KEY-fedora-18-primary
270c89b
Source30:       RPM-GPG-KEY-fedora-18-secondary
270c89b
Source31:       RPM-GPG-KEY-fedora-19-primary
270c89b
Source32:       RPM-GPG-KEY-fedora-19-secondary
270c89b
Source33:       RPM-GPG-KEY-fedora-20-primary
270c89b
Source34:       RPM-GPG-KEY-fedora-20-secondary
270c89b
Source35:       RPM-GPG-KEY-fedora-21-primary
270c89b
Source36:       RPM-GPG-KEY-fedora-21-secondary
270c89b
Source37:       RPM-GPG-KEY-fedora-22-primary
270c89b
Source38:       RPM-GPG-KEY-fedora-22-secondary
270c89b
Source39:       RPM-GPG-KEY-fedora-23-primary
270c89b
Source40:       RPM-GPG-KEY-fedora-23-secondary
270c89b
Source41:       RPM-GPG-KEY-fedora-24-primary
270c89b
Source42:       RPM-GPG-KEY-fedora-24-secondary
270c89b
Source43:       RPM-GPG-KEY-fedora-25-primary
270c89b
Source44:       RPM-GPG-KEY-fedora-25-secondary
270c89b
Source45:       RPM-GPG-KEY-fedora-26-primary
270c89b
Source46:       RPM-GPG-KEY-fedora-26-secondary
270c89b
Source47:       RPM-GPG-KEY-fedora-27-primary
270c89b
Source48:       RPM-GPG-KEY-fedora-28-primary
270c89b
Source49:       RPM-GPG-KEY-fedora-29-primary
9928782
Source50:       RPM-GPG-KEY-fedora-30-primary
81ae6bc
Source51:       RPM-GPG-KEY-fedora-31-primary
e5d8ab4
Source52:       RPM-GPG-KEY-fedora-32-primary
5a7ce7c
Source53:       RPM-GPG-KEY-fedora-33-primary
49d0933
Source54:       RPM-GPG-KEY-fedora-34-primary
741f93f
Source55:       RPM-GPG-KEY-fedora-35-primary
227a364
Source56:       RPM-GPG-KEY-fedora-36-primary
227a364
# When bumping Rawhide to fN, create N+1 key (and update archmap). (This
227a364
# ensures users have the next future key installed and referenced, even if they
227a364
# don't update very often. This will smooth out Rawhide N->N+1 transition for them).
270c89b
270c89b
Source100:      fedora-modular.repo
270c89b
Source101:      fedora-updates-modular.repo
270c89b
Source102:      fedora-updates-testing-modular.repo
270c89b
Source103:      fedora-rawhide-modular.repo
270c89b
Source104:      RPM-GPG-KEY-fedora-modularity
270c89b
c66776f
Source150:      RPM-GPG-KEY-fedora-iot-2019
Sinny Kumari 6efa142
Source151:      fedora.conf
c99e0fd
Source152:      fedora-compose.conf
c66776f
645bb5b
%description
007b8f2
Fedora package repository files for yum and dnf along with gpg public keys.
007b8f2
007b8f2
%package modular
007b8f2
Summary:        Fedora modular package repositories
007b8f2
Requires:       fedora-repos = %{version}-%{release}
827881b
%if %{rawhide_release} == %{version}
007b8f2
Requires:       fedora-repos-rawhide-modular = %{version}-%{release}
827881b
%endif
007b8f2
Obsoletes:      fedora-repos < 33-0.7
007b8f2
007b8f2
%description modular
007b8f2
This package provides the repo definitions with modular packages.
645bb5b
645bb5b
%package rawhide
645bb5b
Summary:        Rawhide repo definitions
645bb5b
Requires:       fedora-repos = %{version}-%{release}
007b8f2
Obsoletes:      fedora-repos-rawhide < 33-0.7
645bb5b
a4b16e3
%description rawhide
a4b16e3
This package provides the rawhide repo definitions.
a4b16e3
51f622a
%package archive
51f622a
Summary:        Fedora updates archive package repository
51f622a
Requires:       fedora-repos = %{version}-%{release}
51f622a
51f622a
%description archive
51f622a
This package provides the repo definition for the updates archive repo.
51f622a
It is a package repository that contains any RPM that has made it to
51f622a
stable in Bodhi and been available in the Fedora updates repo in the past.
51f622a
007b8f2
%package rawhide-modular
007b8f2
Summary:        Rawhide modular repo definitions
007b8f2
Requires:       fedora-repos = %{version}-%{release}
007b8f2
Requires:       fedora-repos-rawhide = %{version}-%{release}
007b8f2
Obsoletes:      fedora-repos-rawhide < 33-0.7
007b8f2
007b8f2
%description rawhide-modular
007b8f2
This package provides the rawhide modular repo definitions.
645bb5b
Patrick Uiterwijk 90d89ea
%package -n fedora-gpg-keys
Patrick Uiterwijk 90d89ea
Summary:        Fedora RPM keys
Patrick Uiterwijk 90d89ea
Patrick Uiterwijk 90d89ea
%description -n fedora-gpg-keys
Patrick Uiterwijk 90d89ea
This package provides the RPM signature keys.
Patrick Uiterwijk 90d89ea
Patrick Uiterwijk 90d89ea
Sinny Kumari 6efa142
%package ostree
Sinny Kumari 6efa142
Summary:        OSTree specific files
Sinny Kumari 6efa142
Sinny Kumari 6efa142
%description ostree
Sinny Kumari 6efa142
This package provides ostree specfic files like remote config from
Sinny Kumari 6efa142
where client's system will pull OSTree updates.
Sinny Kumari 6efa142
Sinny Kumari 6efa142
24799c1
%package eln
24799c1
Summary: ELN repo definitions
24799c1
Requires: fedora-repos-rawhide = %{version}-%{release}
24799c1
24799c1
%description eln
24799c1
This package provides repository files for ELN (Enterprise Linux Next)
24799c1
packages that can be installed atop Rawhide. Note that these packages are
24799c1
experimental and should not be used in a production environment.
24799c1
Sinny Kumari 6efa142
645bb5b
%prep
645bb5b
645bb5b
%build
645bb5b
645bb5b
%install
645bb5b
# Install the keys
645bb5b
install -d -m 755 $RPM_BUILD_ROOT/etc/pki/rpm-gpg
270c89b
install -m 644 %{_sourcedir}/RPM-GPG-KEY* $RPM_BUILD_ROOT/etc/pki/rpm-gpg/
645bb5b
645bb5b
# Link the primary/secondary keys to arch files, according to archmap.
645bb5b
# Ex: if there's a key named RPM-GPG-KEY-fedora-19-primary, and archmap
645bb5b
#     says "fedora-19-primary: i386 x86_64",
645bb5b
#     RPM-GPG-KEY-fedora-19-{i386,x86_64} will be symlinked to that key.
645bb5b
pushd $RPM_BUILD_ROOT/etc/pki/rpm-gpg/
227a364
# Also add a symlink for Rawhide and ELN keys
227a364
ln -s RPM-GPG-KEY-fedora-%{rawhide_release}-primary RPM-GPG-KEY-fedora-rawhide-primary
ed37c7b
ln -s RPM-GPG-KEY-fedora-%{rawhide_release}-primary RPM-GPG-KEY-fedora-eln-primary
645bb5b
for keyfile in RPM-GPG-KEY*; do
227a364
    # resolve symlinks, so that we don't need to keep duplicate entries in archmap
227a364
    real_keyfile=$(basename $(readlink -f $keyfile))
227a364
    key=${real_keyfile#RPM-GPG-KEY-} # e.g. 'fedora-20-primary'
227a364
    if ! grep -q "^${key}:" %{_sourcedir}/archmap; then
227a364
        echo "ERROR: no archmap entry for $key"
227a364
        exit 1
227a364
    fi
227a364
    arches=$(sed -ne "s/^${key}://p" %{_sourcedir}/archmap)
645bb5b
    for arch in $arches; do
645bb5b
        # replace last part with $arch (fedora-20-primary -> fedora-20-$arch)
645bb5b
        ln -s $keyfile ${keyfile%%-*}-$arch # NOTE: RPM replaces %% with %
645bb5b
    done
645bb5b
done
645bb5b
# and add symlink for compat generic location
645bb5b
ln -s RPM-GPG-KEY-fedora-%{version}-primary RPM-GPG-KEY-%{version}-fedora
645bb5b
popd
645bb5b
a4b16e3
# Install repo files
a4b16e3
install -d -m 755 $RPM_BUILD_ROOT/etc/yum.repos.d
a4b16e3
for file in %{_sourcedir}/fedora*repo ; do
a4b16e3
  install -m 644 $file $RPM_BUILD_ROOT/etc/yum.repos.d
a4b16e3
done
a4b16e3
a4b16e3
# Enable or disable repos based on current release cycle state.
a4b16e3
%if %{rawhide_release} == %{version}
a4b16e3
rawhide_enabled=1
a4b16e3
stable_enabled=0
a4b16e3
testing_enabled=0
a4b16e3
%else
a4b16e3
rawhide_enabled=0
a4b16e3
stable_enabled=1
a4b16e3
testing_enabled=%{updates_testing_enabled}
a4b16e3
%endif
a4b16e3
for repo in $RPM_BUILD_ROOT/etc/yum.repos.d/fedora-{rawhide,eln}*.repo; do
a4b16e3
    sed -i "s/^enabled=AUTO_VALUE$/enabled=${rawhide_enabled}/" $repo || exit 1
a4b16e3
done
a4b16e3
for repo in $RPM_BUILD_ROOT/etc/yum.repos.d/fedora{,-modular,-updates,-updates-modular}.repo; do
a4b16e3
    sed -i "s/^enabled=AUTO_VALUE$/enabled=${stable_enabled}/" $repo || exit 1
a4b16e3
done
a4b16e3
for repo in $RPM_BUILD_ROOT/etc/yum.repos.d/fedora-updates-testing{,-modular}.repo; do
a4b16e3
    sed -i "s/^enabled=AUTO_VALUE$/enabled=${testing_enabled}/" $repo || exit 1
a4b16e3
done
a4b16e3
227a364
# Adjust Rawhide repo files to include Rawhide+1 GPG key.
227a364
# This is necessary for the period when Rawhide gets bumped to N+1 and packages
227a364
# start to be signed with a newer key. Without having the key specified in the
227a364
# repo file, the system would consider the new packages as untrusted.
227a364
rawhide_next=$((%{rawhide_release}+1))
a4b16e3
for repo in $RPM_BUILD_ROOT/etc/yum.repos.d/fedora-rawhide*.repo; do
a4b16e3
    sed -i "/^gpgkey=/ s@AUTO_VALUE@file:///etc/pki/rpm-gpg/RPM-GPG-KEY-fedora-${rawhide_next}-\$basearch@" \
227a364
        $repo || exit 1
227a364
done
227a364
a4b16e3
# Set appropriate metadata_expire in base repo files (6h before Final, 7d after)
a4b16e3
%if "%{release}" < "1"
a4b16e3
expire_value='6h'
a4b16e3
%else
a4b16e3
expire_value='7d'
a4b16e3
%endif
a4b16e3
for repo in $RPM_BUILD_ROOT/etc/yum.repos.d/fedora{,-modular}.repo; do
a4b16e3
    sed -i "/^metadata_expire=/ s/AUTO_VALUE/${expire_value}/" \
a4b16e3
        $repo || exit 1
645bb5b
done
645bb5b
Sinny Kumari 6efa142
# Install ostree remote config
Sinny Kumari 6efa142
install -d -m 755 $RPM_BUILD_ROOT/etc/ostree/remotes.d/
Sinny Kumari 6efa142
install -m 644 %{_sourcedir}/fedora.conf $RPM_BUILD_ROOT/etc/ostree/remotes.d/
c99e0fd
install -m 644 %{_sourcedir}/fedora-compose.conf $RPM_BUILD_ROOT/etc/ostree/remotes.d/
645bb5b
bf9a631
bf9a631
%check
a4b16e3
# Make sure all repo variables were substituted
a4b16e3
for repo in $RPM_BUILD_ROOT/etc/yum.repos.d/*.repo; do
a4b16e3
    if grep -q AUTO_VALUE $repo; then
a4b16e3
        echo "ERROR: Repo $repo contains an unsubstituted placeholder value"
a4b16e3
        exit 1
a4b16e3
    fi
a4b16e3
done
a4b16e3
a4b16e3
# Make sure correct repos were enabled/disabled
a4b16e3
enabled_repos=(fedora-cisco-openh264)
a4b16e3
disabled_repos=(fedora-updates-archive)
a4b16e3
%if %{rawhide_release} == %{version}
a4b16e3
enabled_repos+=(fedora-rawhide fedora-rawhide-modular fedora-eln)
a4b16e3
disabled_repos+=(fedora fedora-modular fedora-updates fedora-updates-modular \
a4b16e3
  fedora-updates-testing fedora-updates-testing-modular)
a4b16e3
%else
a4b16e3
enabled_repos+=(fedora fedora-modular fedora-updates fedora-updates-modular)
a4b16e3
disabled_repos+=(fedora-rawhide fedora-rawhide-modular fedora-eln)
a4b16e3
%if %{updates_testing_enabled}
a4b16e3
enabled_repos+=(fedora-updates-testing fedora-updates-testing-modular)
a4b16e3
%else
a4b16e3
disabled_repos+=(fedora-updates-testing fedora-updates-testing-modular)
a4b16e3
%endif
a4b16e3
%endif
a4b16e3
a4b16e3
for repo in ${enabled_repos[@]}; do
a4b16e3
    if ! grep -q 'enabled=1' $RPM_BUILD_ROOT/etc/yum.repos.d/${repo}.repo; then
a4b16e3
        echo "ERROR: Repo $repo should have been enabled, but it isn't"
a4b16e3
        exit 1
a4b16e3
    fi
a4b16e3
done
a4b16e3
a4b16e3
for repo in ${disabled_repos[@]}; do
a4b16e3
    if grep -q 'enabled=1' $RPM_BUILD_ROOT/etc/yum.repos.d/${repo}.repo; then
a4b16e3
        echo "ERROR: Repo $repo should have been disabled, but it isn't"
a4b16e3
        exit 1
a4b16e3
    fi
a4b16e3
done
a4b16e3
a4b16e3
# Make sure updates-testing is not enabled in a Final (stable) release
a4b16e3
%if "%{release}" >= "1"
a4b16e3
for repo in $RPM_BUILD_ROOT/etc/yum.repos.d/fedora-updates-testing{,-modular}.repo; do
a4b16e3
    if grep -q 'enabled=1' $repo; then
a4b16e3
        echo "ERROR: Repo $repo should be disabled in a stable release, but it isn't"
a4b16e3
        exit 1
a4b16e3
    fi
a4b16e3
done
a4b16e3
%endif
a4b16e3
a4b16e3
# Make sure metadata_expire was correctly set
a4b16e3
%if "%{release}" < "1"
a4b16e3
expire_value='6h'
a4b16e3
%else
a4b16e3
expire_value='7d'
a4b16e3
%endif
a4b16e3
for repo in $RPM_BUILD_ROOT/etc/yum.repos.d/fedora{,-modular}.repo; do
a4b16e3
    lines=$(grep '^metadata_expire=' $repo | sort | uniq)
a4b16e3
    if [ "$(echo "$lines" | wc -l)" -ne 1 ]; then
a4b16e3
        echo "ERROR: Non-matching metadata_expire lines in $repo: $lines"
a4b16e3
        exit 1
a4b16e3
    fi
a4b16e3
    if test "$lines" != "metadata_expire=${expire_value}"; then
a4b16e3
        echo "ERROR: Wrong metadata_expire value in $repo: $lines"
a4b16e3
        exit 1
a4b16e3
    fi
bf9a631
done
bf9a631
a4b16e3
# Make sure the Rawhide+1 key wasn't forgotten to be created
227a364
rawhide_next=$((%{rawhide_release}+1))
a4b16e3
test -n "$rawhide_next" || exit 1
227a364
if ! test -f $RPM_BUILD_ROOT/etc/pki/rpm-gpg/RPM-GPG-KEY-fedora-${rawhide_next}-primary; then
227a364
    echo "ERROR: GPG key for Fedora ${rawhide_next} is not present"
227a364
    exit 1
227a364
fi
227a364
a4b16e3
# Make sure the Rawhide+1 key is present in Rawhide repo files
227a364
for repo in $RPM_BUILD_ROOT/etc/yum.repos.d/fedora-rawhide*.repo; do
227a364
    gpg_lines=$(grep '^gpgkey=' $repo)
227a364
    if test -z "$gpg_lines"; then
227a364
        echo "ERROR: No gpgkey= lines in $repo"
227a364
        exit 1
227a364
    fi
227a364
    while IFS= read -r line; do
227a364
        if ! echo "$line" | grep -q "RPM-GPG-KEY-fedora-${rawhide_next}"; then
227a364
            echo "ERROR: Fedora ${rawhide_next} GPG key missing in $repo"
227a364
            exit 1
227a364
        fi
227a364
    done <<< "$gpg_lines"
227a364
done
227a364
bf9a631
645bb5b
%files
645bb5b
%dir /etc/yum.repos.d
645bb5b
%config(noreplace) /etc/yum.repos.d/fedora.repo
Mohan Boddu fc5e45e
%config(noreplace) /etc/yum.repos.d/fedora-cisco-openh264.repo
Mohan Boddu c82041b
%config(noreplace) /etc/yum.repos.d/fedora-updates.repo
Mohan Boddu c82041b
%config(noreplace) /etc/yum.repos.d/fedora-updates-testing.repo
007b8f2
007b8f2
%files modular
Mohan Boddu c82041b
%config(noreplace) /etc/yum.repos.d/fedora-modular.repo
Mohan Boddu c82041b
%config(noreplace) /etc/yum.repos.d/fedora-updates-modular.repo
Mohan Boddu c82041b
%config(noreplace) /etc/yum.repos.d/fedora-updates-testing-modular.repo
Mohan Boddu c82041b
51f622a
%files archive
51f622a
%config(noreplace) /etc/yum.repos.d/fedora-updates-archive.repo
51f622a
7b32bee
%files rawhide
7b32bee
%config(noreplace) /etc/yum.repos.d/fedora-rawhide.repo
007b8f2
007b8f2
%files rawhide-modular
Mohan Boddu 9542f62
%config(noreplace) /etc/yum.repos.d/fedora-rawhide-modular.repo
645bb5b
7b32bee
Patrick Uiterwijk 90d89ea
%files -n fedora-gpg-keys
Patrick Uiterwijk 90d89ea
%dir /etc/pki/rpm-gpg
270c89b
/etc/pki/rpm-gpg/RPM-GPG-KEY-*
Patrick Uiterwijk 90d89ea
7b32bee
Sinny Kumari 6efa142
%files ostree
Sinny Kumari 6efa142
%dir /etc/ostree/remotes.d/
Sinny Kumari 6efa142
/etc/ostree/remotes.d/fedora.conf
c99e0fd
/etc/ostree/remotes.d/fedora-compose.conf
Sinny Kumari 6efa142
24799c1
%files eln
24799c1
%config(noreplace) /etc/yum.repos.d/fedora-eln.repo
24799c1
24799c1
645bb5b
%changelog
227a364
* Mon Feb 22 2021 Kamil Páral <kparal@redhat.com> - 34-0.14
227a364
- Sync changes from Rawhide (the rawhide gpg symlink), disable ELN repo
227a364
08819db
* Thu Feb 11 2021 Adam Williamson <awilliam@redhat.com> - 34-0.13
08819db
- Actually enable fedora repo
08819db
dc30ab5
* Tue Feb 09 2021 Tomas Hrcka <thrcka@redhat.com> - 34-0.12
dc30ab5
- Fixing test
dc30ab5
1e26418
* Tue Feb 09 2021 Tomas Hrcka <thrcka@redhat.com> - 34-0.11
1e26418
- Disable rawhide repos
1e26418
- Enable fedora, updates, updates-testing repos
1e26418
f4fbfae
* Tue Feb 09 2021 Mohan Boddu <mboddu@bhujji.com> - 34-0.10
f4fbfae
- Fixing archmap for F35
f4fbfae
741f93f
* Thu Feb 04 2021 Mohan Boddu <mboddu@bhujji.com> - 34-0.9
741f93f
- Adding F35 key
741f93f
856d184
* Wed Oct 14 2020 Stephen Gallagher <sgallagh@redhat.com> - 34-0.8
856d184
- ELN: Drop dependency on fedora-repos-rawhide-modular
856d184
2de3185
* Tue Oct 13 2020 Stephen Gallagher <sgallagh@redhat.com> - 34-0.7
2de3185
- Ensure that the ELN GPG key always points at the Rawhide key
2de3185
4ef16d7
* Tue Oct 13 2020 Stephen Gallagher <sgallagh@redhat.com> - 34-0.6
4ef16d7
- Drop the fedora-eln-modular.repo
4ef16d7
e7109fe
* Thu Oct 08 2020 Stephen Gallagher <sgallagh@redhat.com> - 34-0.5
e7109fe
- Update the ELN repos for the BaseOS and AppStream split
e7109fe
51f622a
* Mon Oct 05 2020 Dusty Mabe <dusty@dustymabe.com> - 34-0.4
51f622a
- Add the fedora-repos-archive subpackage.
51f622a
59edd28
* Fri Aug 21 2020 Miro Hrončok <mhroncok@redhat.com> - 34-0.3
59edd28
- Fix a copy-paste error in eln repo name
d465ebe
- Drop fedora-modular from base package since it's in the modular subpackage
d465ebe
- Fixes: rhbz#1869150
59edd28
b59bbce
* Wed Aug 19 2020 Stephen Gallagher <sgallagh@redhat.com> - 34-0.2
b59bbce
- Enable rebuilding of fedora-repos in ELN
b59bbce
- Drop unused modularity-specific release information
b59bbce
5f02f47
* Mon Aug 10 2020 Tomas Hrcka <thrcka@redhat.com> - 34-0.1
5f02f47
- Setup for rawhide being F34
5f02f47
49d0933
* Thu Aug 06 2020 Mohan Boddu <mboddu@bhujji.com> - 33-0.9
49d0933
- Adding F34 key
49d0933
24799c1
* Tue Jun 30 2020 Stephen Gallagher <sgallagh@redhat.com> - 33-0.8
24799c1
- Add optional repositories for ELN
24799c1
007b8f2
* Mon Jun 29 21:10:15 CEST 2020 Igor Raits <ignatenkobrain@fedoraproject.org> - 33-0.7
007b8f2
- Split modular repos to the separate packages
007b8f2
c99e0fd
* Mon Jun 01 2020 Dusty Mabe <dusty@dustymabe.com> - 33-0.6
c99e0fd
- Add fedora compose ostree repo to fedora-repos-ostree
c99e0fd
3610222
* Mon Apr 13 2020 Stephen Gallagher <sgallagh@redhat.com> - 33-0.5
3610222
- Add the release to the fedora-repos(NN) Provides:
3610222
8a5064f
* Thu Apr 09 2020 Kalev Lember <klember@redhat.com> - 33-0.4
8a5064f
- Switch to metalink for fedora-cisco-openh264 and disable repo gpgcheck
8a5064f
  (#1768206)
04a5476
- Use the same metadata_expire time for fedora-cisco-openh264 and -debuginfo
fe18a9e
- Remove enabled_metadata key for fedora-cisco-openh264
8a5064f
7f050d2
* Sat Feb 22 2020 Neal Gompa <ngompa13@gmail.com> - 33-0.3
7f050d2
- Enable fedora-cisco-openh264 repo by default
7f050d2
ea28479
* Wed Feb 19 2020 Adam Williamson <awilliam@redhat.com> - 33-0.2
ea28479
- Restore baseurl lines, but with example domain
ea28479
0ffaa0b
* Tue Feb 11 2020 Mohan Boddu <mboddu@bhujji.com> - 33-0.1
0ffaa0b
- Setup for rawhide being F33
0ffaa0b
55b4e67
* Tue Feb 11 2020 Mohan Boddu <mboddu@bhujji.com> - 32-0.4
55b4e67
- Remove baseurl download.fp.o (puiterwijk)
55b4e67
- Enabling dnf countme
55b4e67
5a7ce7c
* Tue Jan 28 2020 Mohan Boddu <mboddu@bhujji.com> - 32-0.3
5a7ce7c
- Adding F33 key
5a7ce7c
a12c809
* Mon Aug 19 2019 Kevin Fenzi <kevin@scrye.com> - 32-0.2
a12c809
- Fix f32 key having extra spaces.
a12c809
e5d8ab4
* Tue Aug 13 2019 Mohan Boddu <mboddu@bhujji.com> - 32-0.1
e5d8ab4
- Adding F32 key
e5d8ab4
- Setup for rawhide being f32
e5d8ab4
7fe1864
* Tue Mar 12 2019 Vít Ondruch <vondruch@redhat.com> - 31-0.3
7fe1864
- Allow to use newer GPG keys, so Rawhide can be updated after branch.
7fe1864
Sinny Kumari 6efa142
* Thu Mar 07 2019 Sinny Kumari <skumari@redhat.com> - 31-0.2
Sinny Kumari 6efa142
- Create fedora-repos-ostree sub-package
Sinny Kumari 6efa142
8a02be3
* Tue Feb 19 2019 Tomas Hrcka <thrcka@redhat.com> - 31-0.1
8a02be3
- Setup for rawhide being f31
8a02be3
81ae6bc
* Mon Feb 18 2019 Mohan Boddu <mboddu@bhujji.com> - 30-0.4
81ae6bc
- Adding F31 key
81ae6bc
78cf06f
* Sat Jan 05 2019 Kevin Fenzi <kevin@scrye.com> - 30-0.3
82530f8
- Add fedora-7-primary to archmap. Fixes bug #1531957
78cf06f
- Remove failovermethod option in repos (augenauf(Florian H))
82530f8
c66776f
* Tue Nov 13 2018 Mohan Boddu <mboddu@bhujji.com> - 30-0.2
c66776f
- Adding fedora-iot-2019 key
c66776f
- Enable skip_if_unavailable for cisco-openh264 repo
c66776f
dcd53fb
* Tue Aug 14 2018 Mohan Boddu <mboddu@bhujji.com> - 30-0.1
dcd53fb
- Setup for rawhide being f30